commit 66e79b0b9ddb624c492d0ae15da8f1eedd222ea8
Author: Romuald <devnull@localhost>
Date:   Sat Jan 16 21:36:51 2010 +0100

    Gestion des commentaires.

diff --git a/admin/admin.php b/admin/admin.php
index 813c2f7..0df89b1 100644
--- a/admin/admin.php
+++ b/admin/admin.php
@@ -45,6 +45,7 @@
 	if ($_POST['validation_penalites'] == "valider") $championnat = "validation_penalites";
 	if ($_POST['validation_ajustements'] == "valider") $championnat = "validation_ajustements";
 	if ($_POST['validation_forfaits'] == "valider") $championnat = "validation_forfaits";
+	if ($_POST['validation_commentaires'] == "valider") $championnat = "validation_commentaires";
 
 	if (isset($_POST['rencontre-ajouter'])) {
 		$rencontre = "ajouter";
@@ -158,6 +159,10 @@
 				$ForfaitsG = getForfaitsG($path);
 				$equipes = getEquipes($path);
 				break;
+			case "commentaires":
+				$Comments = getCommentaires($path);
+				$equipes = getEquipes($path);
+				break;
 			case "modifier":
 				if (file_exists("$path/equipes")) {
 					$equipes = file_get_contents("$path/equipes");
@@ -241,6 +246,25 @@
 					if (file_exists($file)) unlink($file);
 				}
 				break;
+			case "validation_commentaires":
+				$vars = preg_grep("/^comment_/", array_keys($_POST));
+				if ($vars) {
+					$commentaires = "";
+					foreach ($vars as $var) {
+						if ($_POST[$var] != "") {
+							list($prefix, $equipe) = explode("_", $var);
+							$commentaires .= $equipe.":".$_POST[$var]."\n";
+						}
+					}
+					$file = "$path/commentaires";
+					if ($commentaires) {
+						my_file_put_contents($file, $commentaires);
+					} else {
+						if (file_exists($file)) unlink($file);
+					}
+					$message = "Les commentaires ont &eacute;t&eacute; mis à jour.";
+				}
+				break;
 			case "validation_ajustement":
 				$Adjust = getAjustements($path);
 				$equipes = getEquipes($path);
@@ -501,6 +525,20 @@
 		<input type="submit" name="validation_forfaits" value="valider" />
 	</form>
 <?php retour("annuler"); ?>
+<?php } else if ($championnat == "commentaires") { ?>
+	<form method="post" action="<?=$_SERVER['PHP_SELF']?>">
+		<table>
+<?php foreach ($equipes as $n => $e) { ?>
+			<tr>
+				<td><?=$e?></td>
+				<td>:<input type="text" name="comment_<?=$n?>" value="<?=($Comments[$n] ? $Comments[$n] : "")?>" /></td>
+			</tr>
+<?php	} ?>
+		</table>
+<?php hiddenVars() ?>
+		<input type="submit" name="validation_commentaires" value="valider" />
+	</form>
+<?php retour("annuler"); ?>
 <?php } else if ($rencontre == "ajouter" || $rencontre == "modifier") { ?>
 	<form method="post" action="<?=$_SERVER['PHP_SELF']?>">
 		<table border="0">
diff --git a/functions.php b/functions.php
index 9408762..3841a98 100644
--- a/functions.php
+++ b/functions.php
@@ -132,6 +132,18 @@ function getForfaitsG($path) {
 	return $ForfaitsG;
 }
 
+function getCommentaires($path) {
+	$Comments = array();
+	$file = "$path/commentaires";
+	if (file_exists($file) && $commentaires = file($file)) {
+		foreach ($commentaires as $c) {
+			list($equipe, $commentaire) = explode(":", rtrim($c));
+			$Comments[$equipe] = $commentaire;
+		}
+	}
+	return $Comments;
+}
+
 function backup(&$zip, $dir, $zipdir) {
 	if ($dh = opendir($dir)) {
 		while (($file = readdir($dh)) !== false) {
diff --git a/index.php b/index.php
index 1531f85..5a96943 100644
--- a/index.php
+++ b/index.php
@@ -113,12 +113,12 @@
 
 	// Récupération des pénalités
 	$Pen = getPenalites($path);
-
 	// Récupération des ajustements
 	$Adjust = getAjustements($path);
-
 	// Récupération des forfaits généraux
 	$ForfaitsG = getForfaitsG($path);
+	// Récupération des commentaires
+	$Comments = getCommentaires($path);
 ?>
 <html>
 <head>
@@ -230,6 +230,7 @@
 <?php } ?>
 <?php 	} ?>
 		</div>
+		<br />
 <?php 	if ($saisons) { ?>
 		<div id="boutons-championnat">
 			<input type="submit" name="championnat" value="modifier" />
@@ -250,6 +251,7 @@
 			<input type="submit" name="championnat" value="p&eacute;nalit&eacute;s" />
 			<input type="submit" name="championnat" value="ajustements" />
 			<input type="submit" name="championnat" value="forfait g&eacute;n&eacute;ral" />
+			<input type="submit" name="championnat" value="commentaires" />
 		</div>
 <?php 	} ?>
 <?php }
@@ -319,7 +321,7 @@
 		$prev = ($i > 0) ? $sortKeys[$i-1] : -1;
 		$next = ($i < count($sortKeys)-1) ? $sortKeys[$i+1] : -1;
 ?>
-			<tr>
+			<tr<?=$Comments[$equipe] ? " title=\"$Comments[$equipe]\"" : ""?>>
 				<td class="colClt"><?=($prev != -1 && $Pts[$prev] == $Pts[$equipe]) ? "-" : $i+1?></td>
 <?php if (IamAdmin()) { ?>
 				<td class="colAdjust">
@@ -331,7 +333,7 @@
 <?php } ?>
 				</td>
 <?php } ?>
-				<td class="colEquipe"><?=$equipes[$equipe]?><?=$ForfaitsG[$equipe] == "on" ? " (forfait g&eacute;n&eacute;ral)" : ""?></td>
+				<td class="colEquipe"><?=$equipes[$equipe]?></td>
 				<td class="colPts"><?=$Pts[$equipe]?></td>
 				<td class="colJoue"><?=$Joue[$equipe]?></td>
 				<td class="colVic"><?=($Vic[$equipe]) ? $Vic[$equipe] : "0"?></td>
